import Custom.Style 1.0

import QtQuick 2.9

Item {
    id: root

    property alias text: text.text

    signal clicked

    implicitWidth: text.implicitWidth
    implicitHeight: text.implicitHeight

    Text {
        id: text

        anchors.centerIn: parent

        font.pixelSize: Style.regularButton.label.fontSize
        font.bold: Style.regularButton.label.bold
    }

    MouseArea {
        anchors.fill: parent

        onClicked: root.clicked()

        cursorShape: Qt.PointingHandCursor
    }
}
