import Custom.Style 1.0

import QtQuick 2.9
import QtQuick.Controls 2.2

DialogButtonBox {
    padding: 8

    // Unfortunately, those must be set explicitly:
    topPadding: padding
    leftPadding: padding
    rightPadding: padding
    bottomPadding: padding

    // Explicit font properties are propagated to *all* child Quick Controls,
    // especially the contained Buttons.
    font.pixelSize: Style.messageDialog.fontSize

    background: Rectangle {
        color: Style.messageDialog.buttonBoxBackground
    }
}
